﻿using System;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Linq;
using Telerik.Web.UI;

namespace AjaxVisualWebPart.AjaxVisualWebPart
{
    public partial class AjaxVisualWebPartUserControl : UserControl
    {
        RadGrid RadGrid1;

        protected override void OnInit(EventArgs e)
        {
            base.OnInit(e);

          //  EnsureChildControls();

            RadGrid1 = new RadGrid();
            RadGrid1.AllowPaging = true;
            RadGrid1.NeedDataSource += new Telerik.Web.UI.GridNeedDataSourceEventHandler(RadGrid1_NeedDataSource);


            GridTemplateColumn column = new GridTemplateColumn();

            column.ItemTemplate = new CustomTemplate();
            column.HeaderText = "Custom template column";

            RadGrid1.MasterTableView.Columns.Add(column);

            gridHolder1.Controls.Add(RadGrid1);
        }


        protected void RadGrid1_NeedDataSource(object sender, Telerik.Web.UI.GridNeedDataSourceEventArgs e)
        {
            RadGrid1.DataSource = Enumerable.Range(0, 50).Select(i => new { ID = i, Name = "Name" + i.ToString(), Value = i * 10 });
        }
    }

    public class CustomTemplate : ITemplate
    {
        

        public void InstantiateIn(Control container)
        {
            Literal lt = new Literal();
            lt.ID = "lt1";

            lt.DataBinding += new EventHandler(lt_DataBinding);

            container.Controls.Add(lt);
        }

        protected void lt_DataBinding(object sender, EventArgs e)
        {
            
        }

        
    }

}
